Skip to main content
POST
Set one scope on subscribers in bulk

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Headers

Idempotency-Key
string

Replays the stored response for 24h when the same key is sent again (1–255 visible ASCII)

X-DevHelm-Client
string

Calling surface and version, e.g. cli/1.4.0 or sdk-js/2.0.0

Path Parameters

id
string<uuid>
required

Body

application/json
subscriberIds
string<uuid>[]
required

Subscriber IDs to change (1–1000); IDs not on this page are reported, not changed

Required array length: 1 - 1000 elements

Subscriber IDs to change (1–1000); IDs not on this page are reported, not changed

componentIds
string<uuid>[] | null

Components to hear about; empty with no component groups means the whole page

Maximum array length: 500

Components to hear about; empty with no component groups means the whole page

componentGroupIds
string<uuid>[] | null

Component groups to hear about, including components added to them later

Maximum array length: 100

Component groups to hear about, including components added to them later

Response

OK

data
object
required